Quantcast

Microsoft cumulative security update announced

Get the WebProNews Newsletter:


[ Technology]

On Friday Microsoft announced a cumulative security update for Microsoft Internet Explorer impacting both consumer and enterprise users.

The update is replacing a recent cumulative update provided in Microsoft Security Bulletin MS04-004.
http://www.microsoft.com/technet/security/bulletin/ms04-025.mspx

This Microsoft update resolves several newly discovered product vulnerabilities – all of these vulnerabilities are rated critical. If a user is logged on with administrative privileges, an attacker who successfully exploited the most severe of these vulnerabilities could take complete control of an affected system, including installing programs such as spyware and backdoors, viewing, changing, or deleting data, and creating new accounts with full privileges.

“With the widespread use of Microsoft Internet Explorer in both the enterprise and consumer environments, it is critical that security patches be applied immediately”, said Alfred Huger, senior director, Symantec Security Response. “Symantec has already seen exploits in the wild taking advantage of at least one of these vulnerabilities.”

Symantec Security Response is monitoring these vulnerabilities through its Managed Security Services as well as through its DeepSight Early Warning Solutions. Symantec Security Response will also be monitoring for any potential new exploits leveraging these vulnerabilities.

Please see below for detailed summaries of these updates.

1. Navigation Method Cross-Domain Vulnerability (CAN-2004-0549) Overview/Risk: At this time, Symantec Security Response views this vulnerability as the most critical. Symantec has already seen exploits in the wild that leverage this vulnerability.

A remote code execution vulnerability exists in Internet Explorer because of the way it handles navigation methods.

An attacker could exploit the vulnerability by constructing a malicious web page that could potentially allow remote code execution if a user visited a malicious Web site. If a user is logged on with administrative privileges, this could allow the attacker to take complete control of an affected system.

However, in a Web-based attack, the attacker would have to persuade the user to visit a malicious Web site, typically by getting them to clink on a link. Also, users whose accounts are configured to have fewer privileges on the system would be at less risk than users who operate with administrative privileges.

Systems impacted include Internet Explorer 5.5 SP2, Internet Explorer 6, Internet Explorer 6 SP1 (All versions earlier than Windows Server 2003), and Internet Explorer 6 for Windows Server 2003 (including 64-bit Edition).

Symantec Security Response has rated this threat at a High risk.

2. Malformed BMP File Buffer Overrun Vulnerability (CAN-2004-0556) Overview/Risk: A buffer overrun vulnerability exists in the processing of BMP image file formats that could allow remote code execution on an affected system.

In a Web-based attack, the attacker would have to persuade the user to visit a malicious Web site, typically by getting them to click on a link. Also, users whose accounts are configured to have fewer privileges on the system would be at less risk than users who operate with administrative privileges.

Systems impacted include Internet Explorer 5.01 SP2, SP3 and SP4, Internet Explorer 5.5 SP2, Internet Explorer 6.

Symantec Security Response has rated this threat at a High risk.

3. Malformed GIF File Double Free Vulnerability (CAN-2003-1048) Overview/Risk: A buffer overrun vulnerability exists in the processing of GIF image file formats that could allow remote code execution on an affected system.

In a Web-based attack, the attacker would have to persuade the user to visit a malicious Web site, typically by getting them to clink on a link. Also, users whose accounts are configured to have fewer privileges on the system would be at less risk than users who operate with administrative privileges.

Systems impacted include Internet Explorer 5.01 SP2, SP3 and SP4, Internet Explorer 5.5 SP2, Internet Explorer 6, Internet Explorer 6 SP1 (All versions earlier than Windows Server 2003), and Internet Explorer 6 for Windows Server 2003 (including 64-bit Edition).

Symantec Security Response rates this threat as a High risk.

Microsoft cumulative security update announced
Comments Off


Top Rated White Papers and Resources

Comments are closed.

  • Join for Access to Our Exclusive Web Tools
  • Sidebar Top
  • Sidebar Middle
  • Sign Up For The Free Newsletter
  • Sidebar Bottom